Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client
Class HttpResponseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.http.client.ClientProtocolException
                      org.apache.http.client.HttpResponseException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class HttpResponseException

extends ClientProtocolException

Signals a non 2xx HTTP response.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`HttpResponseException(int statusCode, String s)`

Method Summary
`int` | `getStatusCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpResponseException

    public HttpResponseException(int statusCode,
                                 String s)

Method Detail

### getStatusCode

    public int getStatusCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.